Subject: Re: bug#38940: \x1b]8; ; OSC character displayed on hyperlinks shown after calls to `guix describe` or `guix show` on mate-terminal 1.12.1 (Trisquel 8)

From: zimoun <[email-masked]>
Date: Thu, 9 Jan 2020 22:31:10 +0100

Hi Ludo,

On Thu, 9 Jan 2020 at 22:23, Ludovic Courtès <[email-masked]> wrote:

> > 1. Instead of INSIDE_EMACS, the variable name NO_SUPPORT_HYPERLINK or
> > other seems more meaningful. Maybe?
>
> Actually the goal was to remove ‘INSIDE_EMACS’ from there once a
> widespread-enough Emacs version supports it, which could be within a
> year.  And since other terminals are supposed to ignore it altogether, I
> would rather not add a special environment variable.

Sound reasonable. :-)

> > 2. The comment should go in the docstring.
>
> I tend to write “implementation details” as comments, while keeping pure
> descriptions of the interface as docstrings; I think it’s OK.  :-)

I fully trust your experience. ;-)

Cheers,
simon